Overview
KB
Technical FAQ
PHP Manual
CSS2 Manual
HTML Manual
JS Guide
JS Reference
PhpDock Manual
Nu-Coder Manual
PhpExpress Manual
PHP Joomla
Development
Learn PHP
 
<Resource TypesExamples>
^ZlibLast updated: Mon, 26 Oct 2026

Predefined Constants

The constants below are defined by this extension, and will only be available when the extension has either been compiled into PHP or dynamically loaded at runtime.

FORCE_GZIP (int)

FORCE_DEFLATE (int)

ZLIB_ENCODING_RAW (int)

DEFLATE algorithm as per RFC 1951.

ZLIB_ENCODING_DEFLATE (int)

ZLIB compression algorithm as per RFC 1950.

ZLIB_ENCODING_GZIP (int)

GZIP algorithm as per RFC 1952.

ZLIB_FILTERED (int)

ZLIB_HUFFMAN_ONLY (int)

ZLIB_FIXED (int)

ZLIB_RLE (int)

ZLIB_DEFAULT_STRATEGY (int)

ZLIB_BLOCK (int)

ZLIB_NO_FLUSH (int)

ZLIB_PARTIAL_FLUSH (int)

ZLIB_SYNC_FLUSH (int)

ZLIB_FULL_FLUSH (int)

ZLIB_FINISH (int)

ZLIB_VERSION (string)

zlib version number as a string.

ZLIB_VERNUM (int)

zlib version number as an int.

ZLIB_OK (int)

No errors or additional status information.

ZLIB_STREAM_END (int)

Stream ended successfully.

ZLIB_NEED_DICT (int)

Preset dictionary is needed.

ZLIB_ERRNO (int)

File operation error.

ZLIB_STREAM_ERROR (int)

Stream state is inconsistent or a parameter is invalid.

ZLIB_DATA_ERROR (int)

Input data is corrupted.

ZLIB_MEM_ERROR (int)

Insufficient memory.

ZLIB_BUF_ERROR (int)

No progress is possible due to insufficient buffer space or unexpected ending of an input stream.

ZLIB_VERSION_ERROR (int)

zlib library version is incompatible with the version assumed by the caller.


<Resource TypesExamples>
^ZlibLast updated: Mon, 26 Oct 2026